Bug 551270 - [abrt] crash detected in audacious-2.1-7.fc12 : libmcs keyfile_destroy double free or corruption
Summary: [abrt] crash detected in audacious-2.1-7.fc12 : libmcs keyfile_destroy double...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b10fbf12415999884e38f34384a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-29 18:21 UTC by Juergen Kaiserling
Modified: 2010-02-02 01:10 UTC (History)
2 users (show)

Fixed In Version: 0.4-1.fc12.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:10:27 UTC


Attachments (Terms of Use)
File: backtrace (28.93 KB, text/plain)
2009-12-29 18:21 UTC, Juergen Kaiserling
no flags Details

Description Juergen Kaiserling 2009-12-29 18:21:24 UTC
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. Load Streamtuner.
2. Choose streaming station and wait for Audacious to load.
3. And wait.

Comment: Audacious seems to load successfuly when loaded manually.  If Streamtuner is used to load Audacious to automatically play the selected station, only the centre of the title bar shows up and the application seems to freeze.  Sometimes it "thaws" and the rest of Sudacious loads graphically, but it is not functional.
Attached file: backtrace
cmdline: audacious http://radio.sunradio.ru:80/rnb64
component: audacious
executable: /usr/bin/audacious2
kernel: 2.6.31.9-174.fc12.i686.PAE
package: audacious-2.1-7.fc12
rating: 3
reason: Process was terminated by signal 6

Comment 1 Juergen Kaiserling 2009-12-29 18:21:27 UTC
Created attachment 380835 [details]
File: backtrace

Comment 2 Michael Schwendt 2009-12-29 20:24:32 UTC
The crash is completely unrelated to what you describe, though. The important detail in the backtrace is this

| *** glibc detected *** audacious: double free or corruption (fasttop):
| 0x09679c18 ***\n

in libmcs keyfile_destroy upon exiting Audacious and saving the config file. I've fixed a potential double-free condition in the mcs library and will release an update (including other fixes) for F-12. It will fix this crash. However, there may be further issues in Audacity 2.1, and hopefully early next year we will provide a test-upgrade to 2.2.

The streamtuner related issue you describe is due to long/exhaustive network access that sort of freezes Audacious 2.1 until playback is ready. Install some network activity monitor applet.

Comment 3 Michael Schwendt 2009-12-29 20:52:44 UTC
https://admin.fedoraproject.org/updates/mcs-0.7.1-9.fc12

Comment 4 Fedora Update System 2010-01-01 12:44:24 UTC
audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12

Comment 5 Fedora Update System 2010-01-02 03:33:18 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-7.fc12, audacious-2.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 6 Fedora Update System 2010-01-05 22:54:15 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 7 Fedora Update System 2010-01-12 23:30:47 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 8 Fedora Update System 2010-01-12 23:31:43 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 9 Fedora Update System 2010-01-12 23:32:34 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 10 Fedora Update System 2010-01-26 00:57:57 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-7.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 11 Michael Schwendt 2010-01-27 10:41:43 UTC
Third-party add-on packages for Audacious 2.2 are available
in their respective -updates-testing repository.

Please give feedback on the Audacious 2.2 test update:
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

There are no plans to continue with Audacious 2.1.

Comment 12 Fedora Update System 2010-02-01 01:24:08 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 13 Fedora Update System 2010-02-02 01:09:29 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.